Skip to main content
GET
/
metadata_model_catalog
Python (SDK)
from meibelai import Meibelai
import os


with Meibelai(
    api_key_header=os.getenv("MEIBELAI_API_KEY_HEADER", ""),
) as m_client:

    res = m_client.datasources.metadata_model_catalog.list_metadata_model_catalog(scope="<value>")

    # Handle response
    print(res)
{
  "models": [
    {
      "model_id": "<string>",
      "name": "<string>",
      "scope": "<string>",
      "fields": [
        {
          "name": "<string>",
          "type": "<string>",
          "description": "<string>"
        }
      ],
      "description": "<string>",
      "customer_id": "<string>",
      "project_id": "<string>",
      "created_by": "<string>",
      "updated_by": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Meibel-API-Key
string
header
required

Query Parameters

scope
string | null

Response

Successful Response

ListMetadataModelCatalogResponse

models
MetadataModelCatalogEntry · object[]
required